package com.ruoyi.app.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class SlaughterBatchDTO {
    @Excel(name = "生猪批次")
    private Long entranceBatchId;

    @Excel(name = "生产批次号")
    private Long id;

    @Excel(name = "屠宰日期",dateFormat="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date slaughterTime;

    @Excel(name = "血码")
    private String slaughterCode;

    @Excel(name = "检疫证号")
    private String animalCertNo;

    @Excel(name = "供应商")
    private String supplierName;

    @Excel(name = "肉商")
    private String purchaserName;

    @Excel(name = "品种")
    private String variety;

    @Excel(name = "数量")
    private Integer amount;

    @Excel(name = "宰前重量(kg)")
    private BigDecimal beforeWeight;

    @Excel(name = "白条重量(kg)")
    private BigDecimal sideWeight;

    @Excel(name = "猪头重量(kg)")
    private BigDecimal headWeight;

    @Excel(name = "红脏重量(kg)")
    private BigDecimal redWeight;

    @Excel(name = "白脏重量(kg)")
    private BigDecimal whiteWeight;

    @Excel(name = "销售去向" ,dictType = "app_origin_type")
    private String salePlace;

    @Excel(name = "肉品合格证")
    private String meatCert;

    @Excel(name = "动物检疫合格证")
    private String animalCert;

    // Getters and Setters
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setEntranceBatchId(Long entranceBatchId)
    {
        this.entranceBatchId = entranceBatchId;
    }

    public Long getEntranceBatchId()
    {
        return entranceBatchId;
    }

    public Date getSlaughterTime() {
        return slaughterTime;
    }

    public void setSlaughterTime(Date slaughterTime) {
        this.slaughterTime = slaughterTime;
    }

    public String getSalePlace() {
        return salePlace;
    }

    public void setSalePlace(String salePlace) {
        this.salePlace = salePlace;
    }

    public String getMeatCert() {
        return meatCert;
    }

    public void setMeatCert(String meatCert) {
        this.meatCert = meatCert;
    }

    public String getAnimalCert() {
        return animalCert;
    }

    public void setAnimalCert(String animalCert) {
        this.animalCert = animalCert;
    }

    public String getSlaughterCode() {
        return slaughterCode;
    }

    public void setSlaughterCode(String slaughterCode) {
        this.slaughterCode = slaughterCode;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public BigDecimal getBeforeWeight() {
        return beforeWeight;
    }

    public void setBeforeWeight(BigDecimal beforeWeight) {
        this.beforeWeight = beforeWeight;
    }

    public String getPurchaserName() {
        return purchaserName;
    }

    public void setPurchaserName(String purchaserName) {
        this.purchaserName = purchaserName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }


    public String getVariety() {
        return variety;
    }

    public void setVariety(String variety) {
        this.variety = variety;
    }

    public String getAnimalCertNo() {
        return animalCertNo;
    }

    public void setAnimalCertNo(String animalCertNo) {
        this.animalCertNo = animalCertNo;
    }

    public BigDecimal getSideWeight() {
        return sideWeight;
    }

    public void setSideWeight(BigDecimal sideWeight) {
        this.sideWeight = sideWeight;
    }

    public BigDecimal getHeadWeight() {
        return headWeight;
    }

    public void setHeadWeight(BigDecimal headWeight) {
        this.headWeight = headWeight;
    }

    public BigDecimal getRedWeight() {
        return redWeight;
    }

    public void setRedWeight(BigDecimal redWeight) {
        this.redWeight = redWeight;
    }

    public BigDecimal getWhiteWeight() {
        return whiteWeight;
    }

    public void setWhiteWeight(BigDecimal whiteWeight) {
        this.whiteWeight = whiteWeight;
    }
}
